[21.04 FEAT] wireshark: Update to include SMC support

Bug #1887933 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
wireshark (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

Provide support for SMC-R, SMC-D and SMC-D v2 in libpcap (as used by e.g. wireshark).

Business Case:
Hardware support, new functionality, leverage SMC protocol

Feature will contribute to libcap

CVE References

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-186578 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Please share the required version of libpcap will include this feature.

affects: linux (Ubuntu) → libpcap (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-07-17 06:59 EDT-------
Feature will be added to libpcap > 1.9.1.

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [20.10 FEAT] libpcap: Update to include SMC support

groovy currently includes 1.9.1 - so either a new upstream libpcap version is needed (in time for groovy's feature freeze) or commits to cherry-pick or a backport.

Revision history for this message
Frank Heimes (fheimes) wrote :

Latest upstream libpcap is still https://www.tcpdump.org/index.html#latest-releases
hence I assume that this will move to 21.04?

summary: - [20.10 FEAT] libpcap: Update to include SMC support
+ [21.04 FEAT] libpcap: Update to include SMC support
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-04 03:47 EDT-------
Feature will not make it in time for 20.10, moved to 21.04

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
Changed in libpcap (Ubuntu):
status: New → Incomplete
summary: - [21.04 FEAT] libpcap: Update to include SMC support
+ [21.04 FEAT] whireshark: Update to include SMC support
affects: libpcap (Ubuntu) → wireshark (Ubuntu)
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-04 06:56 EDT-------
Feature will be delivered via wireshark,not libcap.. I changed the package also in LP

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-22 03:59 EDT-------
Current wiresharh
Package wireshark
hirsute (net): network traffic analyzer - meta-package [universe]
3.4.3-1build1: amd64 arm64 armhf ppc64el s390x

This feature is already tagged for 3.5.
Not clear when this release will take place.

Your opinion on integration. Many thx

------- Comment From <email address hidden> 2021-02-22 04:05 EDT-------
This is the requested git-commit
=> 07d77dd5b1aff94b59575c06ffc16f16594ea7be

Frank Heimes (fheimes)
summary: - [21.04 FEAT] whireshark: Update to include SMC support
+ [21.04 FEAT] wireshark: Update to include SMC support
Revision history for this message
Frank Heimes (fheimes) wrote :
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-23 05:18 EDT-------
Addl. Info from IBM

git-commit applied on code level tagged as v3.4.3.
Applies with a 1 line offset for the first hunk, which should be good enough.

information type: Private → Public
Changed in wireshark (Ubuntu):
status: Incomplete → Fix Committed
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Revision history for this message
Frank Heimes (fheimes) wrote :

Over night I've also did a PPA test build that's available here:
https://launchpad.net/~fheimes/+archive/ubuntu/lp1887933

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireshark - 3.4.4-1ubuntu1

---------------
wireshark (3.4.4-1ubuntu1) hirsute; urgency=medium

  * Cherrypick upstream commit for SMCD(v2) support LP: #1887933
  * Ensure glib includes are outside extern "C" blocks. LP: #1916705

wireshark (3.4.4-1) unstable; urgency=medium

  * New upstream version 3.4.4
    - security fixes:
      - Wireshark could open unsafe URLs. (CVE-2021-22191)

 -- Dimitri John Ledkov <email address hidden> Mon, 15 Mar 2021 17:01:52 +0000

Changed in wireshark (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-03-16 03:13 EDT-------
IBM Bugzilla status-> closed, Fix Released with hirsuite

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers